package gaf3.core.services.menu.service

import gaf3.core.services.menu.domain.MenuItem

interface GafMenuStore {

    /**
     * 加载嵌套的菜单项数据
     */
    fun load(): List<MenuItem>

    /**
     * 保存菜单项
     */
    fun save(data: MenuItem): MenuItem

    /**
     * 删除菜单项
     */
    fun delete(id: String)
}